Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » TMF (Xtext) » Bundle can not be resolved(I have a runtime worspace where some standard eclispe plugins can not be resolved)
Bundle can not be resolved [message #1766097] Thu, 15 June 2017 15:55 Go to next message
Olaf Bigalk is currently offline Olaf BigalkFriend
Messages: 155
Registered: July 2009
Location: Berlin
Senior Member
I have made a small error example project but if I run it in eclipse in the runtime workspace the followoing plugins could not be resolved:


  • org.eclipse.emf.common
  • org.eclipse.emf.codegen.ecore
  • org.eclipse.emf.ecore


What could be the reason for that?
If I look in the installation details of the runtime eclipse I can see all the plugins. I created a PluginProject and the PluginDependencyContainer is in the .classspath file.

Thanks for any hint
Re: Bundle can not be resolved [message #1766119 is a reply to message #1766097] Fri, 16 June 2017 06:09 Go to previous messageGo to next message
Karsten Thoms is currently offline Karsten ThomsFriend
Messages: 748
Registered: July 2009
Location: Dortmund, Germany
Senior Member

Check the target platform. That's the set of plugins used in runtime eclipse.
Re: Bundle can not be resolved [message #1766178 is a reply to message #1766119] Fri, 16 June 2017 22:35 Go to previous message
Olaf Bigalk is currently offline Olaf BigalkFriend
Messages: 155
Registered: July 2009
Location: Berlin
Senior Member
Thanks for that hint. My workspace .metadata got messed up. I fixed it and it works now. Thanks
Previous Topic:Registering references to elements in a generated file
Next Topic:MyDSL Templates
Goto Forum:
  


Current Time: Tue Sep 21 18:00:30 GMT 2021

Powered by FUDForum. Page generated in 0.01475 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top